curl -X PUT "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{ "name": "Updated Calendar Name" }'
{
"success": true,
"data": {
"id": "calendar-uuid-1",
"name": "Updated Calendar Name",
"updated_at": "2024-01-15T18:30:00Z"
}
}
Calendars
Update Calendar
Update a calendar
PUT
/
api
/
v1
/
calendars
/
{calendar_id}
curl -X PUT "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{ "name": "Updated Calendar Name" }'
{
"success": true,
"data": {
"id": "calendar-uuid-1",
"name": "Updated Calendar Name",
"updated_at": "2024-01-15T18:30:00Z"
}
}
Update Calendar
Update a calendar’s properties.Endpoint
PUT /api/v1/calendars/{calendar_id}
Path parameters
string
required
Calendar UUID.
Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_herestring
required
Must be set to
application/jsonRequest body
string
Calendar name.
string
IANA timezone.
object
Free-form metadata.
Examples
curl -X PUT "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{ "name": "Updated Calendar Name" }'
Response
{
"success": true,
"data": {
"id": "calendar-uuid-1",
"name": "Updated Calendar Name",
"updated_at": "2024-01-15T18:30:00Z"
}
}
Was this page helpful?